about summary refs log tree commit diff
path: root/users/glittershark/xanthous/hie.sh
diff options
context:
space:
mode:
authorGriffin Smith <grfn@gws.fyi>2020-06-29T13·38-0400
committerglittershark <grfn@gws.fyi>2020-07-03T14·41+0000
commit6f808dfe189bef874702e04f3d44b038a8fcb382 (patch)
treecdd8ace7c64c2bd560187e1cd5327fd86de4bdd3 /users/glittershark/xanthous/hie.sh
parentc0922e49064b1789e3415fbef91ba680ed887882 (diff)
refactor(xan): Simplify build infrastructure r/1189
Simplify the build infrastructure for creating shells etc. for xanthous,
including relying more heavily on stuff exposed in Depot anyway, using
shellFor in the shell.nix, and using the haskell.nix branch of all-hies
for a significantly simpler build. At some point the all-hies stuff will
likely want to be promoted up to //third_party, but for now it's
experimental enough that I don't want to bother other people with it.

Change-Id: I43830de73830fdc07d48af9b87d7930f59599532
Reviewed-on: https://cl.tvl.fyi/c/depot/+/890
Tested-by: BuildkiteCI
Reviewed-by: glittershark <grfn@gws.fyi>
Reviewed-by: BuildkiteCI
Diffstat (limited to 'users/glittershark/xanthous/hie.sh')
-rwxr-xr-xusers/glittershark/xanthous/hie.sh10
1 files changed, 3 insertions, 7 deletions
diff --git a/users/glittershark/xanthous/hie.sh b/users/glittershark/xanthous/hie.sh
index 4ea97997c7..223a432203 100755
--- a/users/glittershark/xanthous/hie.sh
+++ b/users/glittershark/xanthous/hie.sh
@@ -1,10 +1,6 @@
 #!/usr/bin/env bash
+set -euo pipefail
 
-cd "$(dirname "${BASH_SOURCE[0]}")" || exit 1
+cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1
 
-argv=( "$@"  )
-argv=( "${argv[@]/\'/\'\\\'\'}"  )
-argv=( "${argv[@]/#/\'}"  )
-argv=( "${argv[@]/%/\'}"  )
-
-exec nix-shell --pure --run "exec $(nix-build -o dist/nix/hie -A hie)/bin/hie ${argv[*]}"
+exec nix-shell --run "$(nix-build -o dist/bin/hie hie.nix)/bin/hie $*"